import UIBase from "./UIBase";

const { ccclass, property } = cc._decorator;

@ccclass
export default class Helloworld extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    start() {
        // init logic
        this.label.string = this.text;
    }
    private from: UIBase;

    onBtnClick(e?, p?) {

        if (cc.isValid(this.from)) {
            this.from.Show();
            return;
        }

        cc.loader.loadRes("inputBox", (err, prefab: cc.Prefab) => {
            let ui = cc.instantiate(prefab);
            let uib:UIBase = ui.getComponent<UIBase>(UIBase);
            uib.Show();
            this.from = uib;
        })

    }
}
